<?php
global $multicolBlocks;
$multicolBlocks = array(
'block1' => array('advert1', 'advert2', 'advert3', 'advert4', 'advert5'),
'block2' => array('showcase1', 'showcase2', 'showcase3', 'showcase4', 'showcase5'),
'block3' => array('user1', 'user2', 'user3'),
'block4' => array('user4', 'user5', 'user6'),
'block5' => array('user7', 'user8', 'user9'),
'block6' => array('inside1', 'inside2'),
'block7' => array('inside3', 'inside4'),
'block8' => array('inside5', 'inside6'),
'block9' => array('bottom1', 'bottom2', 'bottom3', 'bottom4', 'bottom5'),
'block10' => array('footer1', 'footer2', 'footer3', 'footer4', 'footer5'));
$advert_count = ($this->countModules('advert1')>0) + ($this->countModules('advert2')>0) + ($this->countModules('advert3')>0) + ($this->countModules('advert4')>0) + ($this->countModules('advert5')>0);
$advert_width = $advert_count > 0 ? 'advert' . floor(99 / $advert_count) : '';
$showcase_count = ($this->countModules('showcase1')>0) + ($this->countModules('showcase2')>0) + ($this->countModules('showcase3')>0) + ($this->countModules('showcase4')>0) + ($this->countModules('showcase5')>0);
$showcase_width = $showcase_count > 0 ? 'showcase' . floor(99 / $showcase_count) : '';
$user_count = ($this->countModules('user1')>0) + ($this->countModules('user2')>0) + ($this->countModules('user3')>0);
$user_width = $user_count > 0 ? 'user' . floor(99 / $user_count) : '';
$user2_count = ($this->countModules('user4')>0) + ($this->countModules('user5')>0) + ($this->countModules('user6')>0);
$user2_width = $user2_count > 0 ? 'user' . floor(99 / $user2_count) : '';
$user3_count = ($this->countModules('user7')>0) + ($this->countModules('user8')>0) + ($this->countModules('user9')>0);
$user3_width = $user3_count > 0 ? 'user2' . floor(99 / $user3_count) : '';
$inside_count = ($this->countModules('inside1')>0) + ($this->countModules('inside2')>0);
$inside_width = $inside_count > 0 ? 'inside' . floor(99 / $inside_count) : '';
$inside2_count = ($this->countModules('inside3')>0) + ($this->countModules('inside4')>0);
$inside2_width = $inside2_count > 0 ? 'inside2' . floor(99 / $inside2_count) : '';
$inside3_count = ($this->countModules('inside5')>0) + ($this->countModules('inside6')>0);
$inside3_width = $inside3_count > 0 ? 'inside2' . floor(99 / $inside3_count) : '';
$bottom_count = ($this->countModules('bottom1')>0) + ($this->countModules('bottom2')>0) + ($this->countModules('bottom3')>0) + ($this->countModules('bottom4')>0) + ($this->countModules('bottom5')>0);
$bottom_width = $bottom_count > 0 ? 'bottom' . floor(99 / $bottom_count) : '';
$footer_count = ($this->countModules('footer1')>0) + ($this->countModules('footer2')>0) + ($this->countModules('footer3')>0) + ($this->countModules('footer4')>0) + ($this->countModules('footer5')>0);
$footer_width = $footer_count > 0 ? 'footer' . floor(99 / $footer_count) : '';
function modulesClasses($case, $loaded_only = false) {
global $multicolBlocks;
$document = JFactory::getDocument();
$modules = '$mainmodulesBlocks[$case]';
$loaded = 0;
$loadedModule = array();
$classes = array();
foreach($multicolBlocks[$case] as $block) if ($document->countModules($block)>0) { $loaded++; array_push($loadedModule, $block); }
if ($loaded_only) return $loaded;
switch ($loaded) {
case 1:
$classes[$loadedModule[0]][0] = 'full';
$classes[$loadedModule[0]][1] = '$width[0]';
break;
case 2: 
for ($i = 0; $i < count($loadedModule); $i++){
if (!$i) {
$classes[$loadedModule[$i]][0] = 'first';
$classes[$loadedModule[$i]][1] = '$width[0]';
} else {
$classes[$loadedModule[$i]][0] = 'second';
$classes[$loadedModule[$i]][1] = '$width[1]';
}
}
break;
case 3:
for ($i = 0; $i < count($loadedModule); $i++){
if (!$i) {
$classes[$loadedModule[$i]][0] = 'first';
$classes[$loadedModule[$i]][1] = '$width[0]';
} elseif ($i == 1) {
$classes[$loadedModule[$i]][0] = 'second';
$classes[$loadedModule[$i]][1] = '$width[1]';
} else {
$classes[$loadedModule[$i]][0] = 'third';
$classes[$loadedModule[$i]][1] = '$width[2]';
}
}
break;
case 4:
for ($i = 0; $i < count($loadedModule); $i++){
if (!$i) {
$classes[$loadedModule[$i]][0] = 'first';
$classes[$loadedModule[$i]][1] = '$width[0]';
} elseif ($i == 1) {
$classes[$loadedModule[$i]][0] = 'second';
$classes[$loadedModule[$i]][1] = '$width[1]';
} elseif ($i == 2) {
$classes[$loadedModule[$i]][0] = 'third';
$classes[$loadedModule[$i]][1] = '$width[2]';
} else {
$classes[$loadedModule[$i]][0] = 'forth';
$classes[$loadedModule[$i]][1] = '$width[3]';
}
}
break;
case 5:
for ($i = 0; $i < count($loadedModule); $i++){
if (!$i) {
$classes[$loadedModule[$i]][0] = 'first';
$classes[$loadedModule[$i]][1] = '$width[0]';
} elseif ($i == 1) {
$classes[$loadedModule[$i]][0] = 'second';
$classes[$loadedModule[$i]][1] = '$width[1]';
} elseif ($i == 2) {
$classes[$loadedModule[$i]][0] = 'third';
$classes[$loadedModule[$i]][1] = '$width[2]';
} elseif ($i == 3) {
$classes[$loadedModule[$i]][0] = 'forth';
$classes[$loadedModule[$i]][1] = '$width[3]';
} else {
$classes[$loadedModule[$i]][0] = 'fifth';
$classes[$loadedModule[$i]][1] = '$width[4]';
}
}
break;
}
return $classes;
}
?>